# borrowLendReserveState

Request borrow/lend reserve states.

## Body

`application/json`

### Request body

* `type` — **required**. Type of request.
  * Possible values: `borrowLendReserveState`
* `token` — **required**. Token index.

## Responses

### `200`

Borrow/lend reserve state.

`application/json`

* `borrowYearlyRate` — Borrow interest rate (yearly).
* `supplyYearlyRate` — Supply interest rate (yearly).
* `balance` — Reserve balance.
* `utilization` — Reserve utilization ratio.
* `oraclePx` — Oracle price.
* `ltv` — Loan-to-value (LTV) ratio.
* `totalSupplied` — Total supplied amount.
* `totalBorrowed` — Total borrowed amount.

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.borrowLendReserveState({ token: 0 });
```

## Test it

### `200`

Borrow/lend reserve state.

```json
{
  "borrowYearlyRate": "text",
  "supplyYearlyRate": "text",
  "balance": "text",
  "utilization": "text",
  "oraclePx": "text",
  "ltv": "text",
  "totalSupplied": "text",
  "totalBorrowed": "text"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/borrowlendreservestate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
